roasOS
API referenceDiscover

Get one ad

Get one cached ad creative by its ID.

GET
/v1/discover/items/{id}

Get one cached ad creative by its ID.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/discover/items/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "source": "meta_ad",    "brand": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "name": "string",      "handle": "string",      "avatar_url": "http://example.com"    },    "media": {      "aspect_ratio": 1,      "slides": [        {          "type": "image",          "thumbnail_url": "http://example.com",          "video_url": "http://example.com"        }      ]    },    "copy": "string",    "title": "string",    "description": "string",    "domain": "string",    "cta": "string",    "run_start_date": "string",    "run_end_date": "string",    "is_active_ad": true,    "post_date": "2019-08-24T14:15:22Z",    "engagement": {      "likes": 0,      "comments": 0,      "views": 0    },    "platform_link": "http://example.com",    "content_at": "2019-08-24T14:15:22Z",    "media_type": "image",    "vertical": "string",    "creative_type": "string",    "tags": [      "string"    ],    "ai_summary": "string",    "language": "string"  }}